org.apache.nutch.scoring

## Class ScoreDatum

- java.lang.Object
- - org.apache.nutch.scoring.ScoreDatum

- All Implemented Interfaces:
    Writable

      public class ScoreDatum
      extends java.lang.Object
      implements Writable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScoreDatum()`
    `ScoreDatum(float score, java.lang.String url, java.lang.String anchor, int depth)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `deleteMeta(java.lang.String key)`
    `java.lang.String` | `getAnchor()`
    `int` | `getDistance()`
    `byte[]` | `getMeta(java.lang.String key)`
    `float` | `getScore()`
    `java.lang.String` | `getUrl()`
    `void` | `readFields(java.io.DataInput in)`
    `void` | `setMeta(java.lang.String key, byte[] value)`
    `void` | `setScore(float score)`
    `void` | `setUrl(java.lang.String url)`
    `java.lang.String` | `toString()`
    `void` | `write(java.io.DataOutput out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ScoreDatum

          public ScoreDatum()

    - #### ScoreDatum

          public ScoreDatum(float score,
                            java.lang.String url,
                            java.lang.String anchor,
                            int depth)

  - ### Method Detail

    - #### readFields

          public void readFields(java.io.DataInput in)
                          throws java.io.IOException

      Specified by:
        `readFields` in interface `Writable`
      Throws:
        `java.io.IOException`

    - #### write

          public void write(java.io.DataOutput out)
                     throws java.io.IOException

      Specified by:
        `write` in interface `Writable`
      Throws:
        `java.io.IOException`

    - #### getMeta

          public byte[] getMeta(java.lang.String key)

    - #### setMeta

          public void setMeta(java.lang.String key,
                              byte[] value)

    - #### deleteMeta

          public byte[] deleteMeta(java.lang.String key)

    - #### getScore

          public float getScore()

    - #### setScore

          public void setScore(float score)

    - #### getUrl

          public java.lang.String getUrl()

    - #### setUrl

          public void setUrl(java.lang.String url)

    - #### getAnchor

          public java.lang.String getAnchor()

    - #### getDistance

          public int getDistance()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2019 The Apache Software Foundation